/*
 *  6526.h - CIA-Emulation
 *
 *  Copyright (C) 1994-1995 by Christian Bauer
 */

#ifndef M6526_H
#define M6526_H

#include <exec/types.h>

// CIA-Register-Dump
typedef struct {
  UBYTE	pra;
  UBYTE	ddra;
  UBYTE prb;
  UBYTE ddrb;
  UBYTE ta_lo;
  UBYTE ta_hi;
  UBYTE tb_lo;
  UBYTE tb_hi;
  UBYTE tod_10ths;
  UBYTE tod_sec;
  UBYTE tod_min;
  UBYTE tod_hr;
  UBYTE sdr;
  UBYTE int_data;	// Aufgetretene Interrupts
  UBYTE cra;
  UBYTE crb;
					// Zustzliche Register:
  UBYTE	ltcha_lo;	// Timer-Latches
  UBYTE	ltcha_hi;
  UBYTE	ltchb_lo;
  UBYTE	ltchb_hi;
  UBYTE alm_10ths;	// Alarmzeit
  UBYTE alm_sec;
  UBYTE alm_min;
  UBYTE alm_hr;
  UBYTE int_mask;	// Erlaubte Interrupts
} CIADump;


// Exportierte Funktionen
extern void GetCIA1Dump(CIADump *dump);
extern void GetCIA2Dump(CIADump *dump);

#endif
